AchievementLostThePath = class(Turbine.UI.Control)
function AchievementLostThePath:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.effectList = {
        ["Find the Path"] = true,
    }

    for i = 1, PlayerEffectsHandler:GetPlayerEffects():GetCount() do
        if self.effectList[PlayerEffectsHandler:GetPlayerEffects():Get(i):GetName()] then 
            handler:Fail("Lost The Path", "Found the path", 0x41153603)
        end
    end

    self.effectCallback = AddCallback(PlayerEffectsHandler, "EffectAdded", function(effect)
        if self.effectList[effect:GetName()] then
            handler:Fail("Lost The Path", "Found the path", 0x41153603)
        end
    end)
end

function AchievementLostThePath:Unload()
    RemoveCallback(PlayerEffectsHandler, "EffectAdded", self.effectCallback)
end